Get a transfer
curl --request GET \
--url https://business.madhousewallet.com/api/payouts/transfer/{transfer_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://business.madhousewallet.com/api/payouts/transfer/{transfer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://business.madhousewallet.com/api/payouts/transfer/{transfer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transfer": {
"id": "507f1f77bcf86cd799439011",
"type": "payout",
"amount": 1000,
"currency": "EUR",
"status": "processing",
"status_label": "Deposit received — processing",
"recipientId": 12345678,
"recipient": {
"id": 12345678,
"accountHolderName": "Jane Doe",
"currency": "EUR",
"type": "iban",
"country": "DE",
"details": {
"legalType": "PRIVATE",
"iban": "DE89370400440532013000"
}
},
"customerUuid": "550e8400-e29b-41d4-a716-446655440000",
"customerEmail": "user@example.com",
"sourceToken": "usdc",
"sourceNetwork": "base",
"quote": {
"sourceAmount": 1000,
"providerCharge": 2,
"serviceFeePercent": 1.5,
"targetCurrency": "EUR",
"usdToTargetRate": 0.9183,
"targetAmount": 915.28,
"transferFee": 0.58,
"estimatedDelivery": "2026-03-26T15:52:37Z"
},
"wallet_address": "0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B",
"error": null,
"refund_tx_hash": null,
"reference": "507f1f77bcf86cd799439011",
"timestamp": "2026-03-22T14:30:00.000Z",
"updated_at": "2026-03-22T14:32:00.000Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Payouts
Get a transfer
Returns the current status and details of a payout transfer by its transfer_id (the value returned by POST /api/payouts/transfer).
Lookup is global by transfer_id: any valid API key can retrieve any transfer — including transfers created from the dashboard or with a different API key — as long as you know its transfer_id. Transfer IDs are unguessable 24-character identifiers.
Status values:
ready_to_process— waiting for your USDC depositprocessing— deposit received; funds are being convertedtransfer_created— conversion complete; outgoing fiat transfer to recipient has been createdcompleted— outgoing payment sent to recipientfailed— transfer failed at some stage; check theerrorfield
Rate limit: 30 requests/minute.
GET
/
api
/
payouts
/
transfer
/
{transfer_id}
Get a transfer
Authorizations
Pass your API key as a Bearer token: Authorization: Bearer mw_live_<keyId>_<secret>
Path Parameters
The transfer_id returned by POST /api/payouts/transfer
Example:
"507f1f77bcf86cd799439011"
Response
Transfer found
Show child attributes
Show child attributes
⌘I
